Last modified: 2009-11-08 15:44:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21301 - Bad link for zh.m
Bad link for zh.m
Status: RESOLVED FIXED
Product: Wikimedia Mobile
Classification: Unclassified
Retired (Ruby) Gateway (Other open bugs)
.5
All All
: Normal normal (vote)
: ---
Assigned To: Hampton Catlin
:
Depends on: 19019
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 15:06 UTC by Jimmy Xu
Modified: 2009-11-08 15:44 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jimmy Xu 2009-10-26 15:06:26 UTC
All interwikis are pointing to /zh-cn/, which returns a "Page not found!".

See http://zh.m.wikipedia.org/wiki/%E6%B7%B1%E5%BA%A6%E4%BC%98%E5%85%88%E6%90%9C%E7%B4%A2, which [[]] points to http://zh.m.wikipedia.org/zh-cn/%E5%9B%BE, a 404.

Per bug 19019, these variant-related paths are now available, but seems there's something wrong with the mobile implementation.
Comment 1 Derk-Jan Hartman 2009-10-26 18:50:26 UTC
I don't get why all the interwiki's on the mobile version are using variant urls in the first place... The pure html of http://zh.wikipedia.org/wiki/深度优先搜索 doesn't seem to use these interwiki's variant urls.

Strange. http://zh.m.wikipedia.org/wiki?search=深度优先搜索 doesn't have the variant urls either....
Comment 2 Jimmy Xu 2009-11-07 15:38:36 UTC
Meanwhile, is it possible to add some RewriteRules as workaround?
Comment 3 Jimmy Xu 2009-11-08 15:44:36 UTC
So, per bug 19019, this one seems to be fixed.

Marking as RESOLVED FIXED. Thanks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links